Show / Hide Table of Contents

# Class WebhookProperties

Properties used to modify an IWebhook with the specified changes.

##### Inheritance

System.Object
WebhookProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class WebhookProperties

### Properties

| Improve this Doc View Source

#### Channel

Gets or sets the channel for this webhook.

##### Declaration

    public Optional<ITextChannel> Channel { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<ITextChannel> |

##### Remarks

This field is not used when authenticated with Webhook.

| Improve this Doc View Source

#### ChannelId

Gets or sets the channel ID for this webhook.

##### Declaration

    public Optional<ulong> ChannelId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.UInt64> |

##### Remarks

This field is not used when authenticated with Webhook.

| Improve this Doc View Source

#### Image

Gets or sets the default avatar of the webhook.

##### Declaration

    public Optional<Image?> Image { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<Image>> |

| Improve this Doc View Source

#### Name

Gets or sets the default name of the webhook.

##### Declaration

    public Optional<string> Name { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

### See Also

ModifyAsync(System.Action<WebhookProperties>, RequestOptions)